#!/usr/bin/python
import httplib;
import sys;
import os;
import re;
import socket;

def listhelp():
	print "./webEnum.py -f [HOSTS-FILE]";
	print "./webEnum.py -h [HOST]";
	print "./webEnum.py --help [This help menu]";
	sys.exit(1);

if len(sys.argv) < 3:
	listhelp();

if not re.match("-f|-h|--help", sys.argv[1]):
	print 'Unrecognized option: %s' % sys.argv[1]
	listhelp();

if sys.argv[1] == "--help":
	listhelp();

#Getting targets from a file...#
if sys.argv[1] == "-f":
	if not os.path.exists(sys.argv[2]):
		print "The HOSTS-FILE you are defining, does not exist!"
		sys.exit(2);
	for hosts in file(sys.argv[2]):
		hosts = hosts.strip();
		if hosts:
			serverSocket = socket.socket();
			serverSocket.settimeout(0.25);
			try: 
				serverSocket.connect((hosts, 80));
				var = httplib.HTTPConnection(hosts);
				var.request("GET", "/index.html");
				var2 = var.getresponse();
				print "======================================================";
				print hosts; 
				print var2.status; 
				print var2.reason;
				print var2.getheaders();
				print "======================================================";
				serverSocket.close();
			except socket.error:
				print "%s seems to be down" % hosts;


if sys.argv[1] == "-h":
	try:
		socketServer = socket.socket();
		socketServer.settimeout(0.25);
		socketServer.connect((sys.argv[2], 80));
		var = httplib.HTTPConnection(sys.argv[2]);
		var.request("GET", "/index.html");
		var2 = var.getresponse();
		print "======================================================";
		print sys.argv[2];
		print var2.status;
		print var2.reason;
		print var2.getheaders();
		print "======================================================";
		socketServer.close();
	except socket.error:
		print "%s seems to be down" % sys.argv[2];

sys.exit(0);
